com.avaya.deskphoneservices.telecomService

## Class TelecomConnection

- java.lang.Object
- - android.telecom.Conferenceable
  - - android.telecom.Connection
    - - com.avaya.deskphoneservices.telecomService.TelecomConnection

-     public class TelecomConnection
      extends android.telecom.Connection

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.telecom.Connection

      `android.telecom.Connection.RttModifyStatus, android.telecom.Connection.RttTextStream, android.telecom.Connection.VideoProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.telecom.Connection` | `mLastIncomingCall`

    - ### Fields inherited from class android.telecom.Connection

      `CAPABILITY_CAN_PAUSE_VIDEO, CAPABILITY_CAN_PULL_CALL, CAPABILITY_CAN_SEND_RESPONSE_VIA_CONNECTION, CAPABILITY_CAN_UPGRADE_TO_VIDEO, CAPABILITY_CANNOT_DOWNGRADE_VIDEO_TO_AUDIO, CAPABILITY_DISCONNECT_FROM_CONFERENCE, CAPABILITY_HOLD, CAPABILITY_MANAGE_CONFERENCE, CAPABILITY_MERGE_CONFERENCE, CAPABILITY_MUTE, CAPABILITY_RESPOND_VIA_TEXT, CAPABILITY_SEPARATE_FROM_CONFERENCE, CAPABILITY_SUPPORT_DEFLECT, CAPABILITY_SUPPORT_HOLD, CAPABILITY_SUPPORTS_VT_LOCAL_BIDIRECTIONAL, CAPABILITY_SUPPORTS_VT_LOCAL_RX, CAPABILITY_SUPPORTS_VT_LOCAL_TX, CAPABILITY_SUPPORTS_VT_REMOTE_BIDIRECTIONAL, CAPABILITY_SUPPORTS_VT_REMOTE_RX, CAPABILITY_SUPPORTS_VT_REMOTE_TX, CAPABILITY_SWAP_CONFERENCE, EVENT_CALL_MERGE_FAILED, EVENT_CALL_PULL_FAILED, EVENT_RTT_AUDIO_INDICATION_CHANGED, EXTRA_ANSWERING_DROPS_FG_CALL, EXTRA_ANSWERING_DROPS_FG_CALL_APP_NAME, EXTRA_CALL_SUBJECT, EXTRA_CHILD_ADDRESS, EXTRA_IS_RTT_AUDIO_PRESENT, EXTRA_LAST_FORWARDED_NUMBER, EXTRA_SIP_INVITE, PROPERTY_HAS_CDMA_VOICE_PRIVACY, PROPERTY_IS_EXTERNAL_CALL, PROPERTY_IS_RTT, PROPERTY_SELF_MANAGED, STATE_ACTIVE, STATE_DIALING, STATE_DISCONNECTED, STATE_HOLDING, STATE_INITIALIZING, STATE_NEW, STATE_PULLING_CALL, STATE_RINGING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelecomConnection(android.content.Context context, com.avaya.clientservices.call.Call call, boolean bIsOutgoing)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleCallAudioRouteChanged(android.telecom.CallAudioState state)`
    `void` | `onAbort()`
    `void` | `onAnswer()`
    `void` | `onCallAudioStateChanged(android.telecom.CallAudioState state)`
    `void` | `onCallCreated(com.avaya.clientservices.call.Call call)`
    `void` | `onDisconnect()`
    `void` | `onHold()`
    `void` | `onReject()`
    `void` | `onSilence()`
    `void` | `onStateChanged(int state)`
    `void` | `onUnhold()`

    - ### Methods inherited from class android.telecom.Connection

      `capabilitiesToString, createCanceledConnection, createFailedConnection, destroy, getAddress, getAddressPresentation, getAudioModeIsVoip, getCallAudioState, getCallerDisplayName, getCallerDisplayNamePresentation, getConference, getConferenceables, getConnectionCapabilities, getConnectionProperties, getDisconnectCause, getExtras, getState, getStatusHints, getVideoProvider, handleRttUpgradeResponse, isRingbackRequested, onAnswer, onCallEvent, onDeflect, onExtrasChanged, onHandoverComplete, onPlayDtmfTone, onPostDialContinue, onPullExternalCall, onReject, onSeparate, onShowIncomingCallUi, onStartRtt, onStopDtmfTone, onStopRtt, propertiesToString, putExtras, removeExtras, removeExtras, requestBluetoothAudio, sendConnectionEvent, sendRemoteRttRequest, sendRttInitiationFailure, sendRttInitiationSuccess, sendRttSessionRemotelyTerminated, setActive, setAddress, setAudioModeIsVoip, setAudioRoute, setCallerDisplayName, setConferenceableConnections, setConferenceables, setConnectionCapabilities, setConnectionProperties, setDialing, setDisconnected, setExtras, setInitialized, setInitializing, setNextPostDialChar, setOnHold, setPostDialWait, setPulling, setRingbackRequested, setRinging, setStatusHints, setVideoProvider, setVideoState, stateToString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mLastIncomingCall

          public static android.telecom.Connection mLastIncomingCall

  - ### Constructor Detail

    - #### TelecomConnection

          public TelecomConnection(android.content.Context context,
                                   com.avaya.clientservices.call.Call call,
                                   boolean bIsOutgoing)

  - ### Method Detail

    - #### onCallAudioStateChanged

          public void onCallAudioStateChanged(android.telecom.CallAudioState state)

      Overrides:
        `onCallAudioStateChanged` in class `android.telecom.Connection`

    - #### onDisconnect

          public void onDisconnect()

      Overrides:
        `onDisconnect` in class `android.telecom.Connection`

    - #### onAbort

          public void onAbort()

      Overrides:
        `onAbort` in class `android.telecom.Connection`

    - #### onAnswer

          public void onAnswer()

      Overrides:
        `onAnswer` in class `android.telecom.Connection`

    - #### onReject

          public void onReject()

      Overrides:
        `onReject` in class `android.telecom.Connection`

    - #### onHold

          public void onHold()

      Overrides:
        `onHold` in class `android.telecom.Connection`

    - #### onUnhold

          public void onUnhold()

      Overrides:
        `onUnhold` in class `android.telecom.Connection`

    - #### onSilence

          public void onSilence()

      Overrides:
        `onSilence` in class `android.telecom.Connection`

    - #### onCallCreated

          public void onCallCreated(com.avaya.clientservices.call.Call call)

    - #### onStateChanged

          public void onStateChanged(int state)

      Overrides:
        `onStateChanged` in class `android.telecom.Connection`

    - #### handleCallAudioRouteChanged

          public void handleCallAudioRouteChanged(android.telecom.CallAudioState state)